List Frameworks
GEThttps://api.confident-ai.com/v1/risk-assessments/frameworks
Lists the red-team frameworks in your project along with their risk categories. Use the returned risk category names when running a risk assessment. Requires an Enterprise plan.
curl -X GET "https://api.confident-ai.com/v1/risk-assessments/frameworks" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"frameworks": [
{
"id": "FRAMEWORK-ID",
"name": "OWASP Top 10 for LLMs",
"description": "Standard LLM risk framework",
"riskCategories": [
{
"name": "Prompt Injection",
"numVulnerabilityTypes": 4,
"numAttackMethods": 6
}
]
}
]
}
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Response
successbooleanIndicates if the request was successful.
dataobjectShow 1 propertyHide 1 property
frameworkslist of objectsList of all frameworks present in this project
Show 4 propertiesHide 4 properties
idstringThe unique identifier of the framework. Use this value when running an assessment.
namestringThe name of the framework.
descriptionstringThe description of the framework.
riskCategorieslist of objectsShow 3 propertiesHide 3 properties
namestringThe name of the risk category. Use this value when running an assessment.
numVulnerabilityTypesintegerThe number of vulnerability types in this category.
numAttackMethodsintegerThe number of attack methods in this category.